Perlanet::Trait::Tidy(3pm)

NAME
Perlanet::Trait::Tidy - run posts through HTML::Tidy

SYNOPSIS
  my $perlanet = Perlanet->new_with_traits(
    traits => [ 'Perlanet::Trait::Tidy' ]
  );

  $perlanet->run;

DESCRIPTION
Before a post is added to the aggregated feed, it will be run through HTML::Tidy.

  Configuring
To configure the HTML::Tidy instance, you should override the "_build_tidy" method. This method takes no input, and returns a HTML::Tidy instance.

ATTRIBUTES

  tidy
An instance of HTML::Tidy used to tidy the feed entry contents before outputting. For default settings see source..

AUTHOR
Oliver Charles, <oliver.g.charles@googlemail.com>

COPYRIGHT AND LICENSE
Copyright (c) 2010 by Magnum Solutions Ltd.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.